Subject: [Gen-art] Gem-Art Last Call review of draft-ietf-dnsop-qname-minimisation-07

From: "Ralph Droms (rdroms)" <[email-masked]>
Date: Fri, 20 Nov 2015 16:18:02 +0000

I am the assigned Gen-ART reviewer for draft-ietf-dnsop-qname-minimisation-07.txt.

For background on Gen-ART, please see the FAQ at <http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-dnsop-qname-minimisation-07
Reviewer: Ralph Droms
Review Date: 2015-11-20
IETF LC End Date: 2015-11-23
IESG Telechat date: unknown

Summary:

This draft is on the right track but has open issues, described in the review.

Major issues:

The document is well-written and easy to understand.  Thank you.

Has the working group considered publishing this document as "Informational" rather than "Experimental"?  If the document is published as "Experimental", is the intention to publish a subsequent proposed standard or BCP?

In my opinion, the document needs a little more work if it is to be published as "Experimental", especially if the intention is to publish a proposed standard based on the results of experiments with the techniques described in this document.  I found the descriptions in the document understandable, but not quite detailed enough to build an interoperable implementation.

Is Appendix A intended as the specification for the QNAME minimization techniques described in this document?  The appendix is titled "An algorithm to find the zone cut" and the introductory text indicates the algorithm is intended for locating the zone cut.  However, as I read the algorithm, it finds and traverses all zone cuts until the original QNAME can be resolved.

If Appendix A is not the specification for the QNAME minimization techniques, then I don't know exactly what specific behavior or algorithm is referred to by "minimising resolver" in this sentence from section 2:  "The minimising resolver works perfectly when it knows the zone cut [...]".

My suggestion would be to include another algorithm description, similar to that in Appendix A, but that describes how to use knowledge of zone cuts.

Editorial
---------

In section 2, is the phrase "closest known parent of the original QNAME" something that most DNS developers would understand?  Would the phrase "closest enclosing NS RRset" from Appendix A be more precise?

I wasn't sure at first whether "(section 6)" in the 4th paragraph of section 2 referred to section 6 of RFC 2181 or section 6 of this document.